# Magento 2 Product Attribute Tooltips

![downloads](https://img.shields.io/packagist/dt/Spaggel/Tooltip?style=plastic)

This module adds support for tooltips on product attributes.

<b> Version 1.2.0 and above of this module will only support Magento 2.4. For Magento versions below 2.4, 
please use versions older than 1.2.0 of this module.</b>

### Support me 
You can support my work by buying me a coffee 😀

<a href="https://www.buymeacoffee.com/spaggel" target="_blank"><img src="https://www.buymeacoffee.com/assets/img/custom_images/orange_img.png" alt="Buy Me A Coffee" style="height: 41px !important;width: 174px !important;box-shadow: 0px 3px 2px 0px rgba(190, 190, 190, 0.5) !important;-webkit-box-shadow: 0px 3px 2px 0px rgba(190, 190, 190, 0.5) !important;" ></a>

## Install

Run `composer require spaggel/tooltip` to install the latest release.

## Functionality

**Support for tooltips on:**
- Product attributes table (product view page)
- Configurable swatches (product view page)

### Demo

Frontend demo: [here](https://magento2.spaggel.nl/configurable-product-2.html) (currently offline)

### Screenshots

#### Product information:

Closed:

![tooltip closed](https://raw.githubusercontent.com/wiki/Spaggel/Tooltip/img/product-attribute-tooltip-closed.jpg)

Opened:

![tooltip open](https://raw.githubusercontent.com/wiki/Spaggel/Tooltip/img/product-attribute-tooltip-open.jpg)

#### Configurable product swatch:

Closed:

![swatch closed](https://raw.githubusercontent.com/wiki/Spaggel/Tooltip/img/product-swatch-tooltip-closed.png)

Opened:
 
![swatch open](https://raw.githubusercontent.com/wiki/Spaggel/Tooltip/img/product-swatch-tooltip-open.png)

**Todo**:

Add support for:
- [ ] Layered navigation attributes
- [ ] CMS variables (e.g. {{store url}}) **Work in progress**
- [ ] ??

## How to use

More info can be found in the [Wiki](https://github.com/Spaggel/Tooltip/wiki).

### Technical info

I wrote some technical stuff about the module and how it works: [here](https://github.com/Spaggel/Tooltip/wiki/Technical-details).

### Credits

This module is using the [MIT License](https://github.com/Spaggel/Tooltip/blob/master/LICENSE.md)

### Contributing

Feel free to create an issue or submit a pull request. I'll do the best I can to help you.

